Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.exception
Class AbstractMessagingExceptionStrategy

    java.lang.Object
      org.mule.processor.AbstractMessageProcessorOwner
          org.mule.exception.AbstractExceptionListener
              org.mule.exception.AbstractMessagingExceptionStrategy

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, MessagingExceptionHandler, Disposable, Initialisable, Lifecycle, Startable, Stoppable

Direct Known Subclasses:
  DefaultServiceExceptionStrategy, QuietExceptionStrategy, RouteableExceptionStrategy

    public abstract class AbstractMessagingExceptionStrategy

extends AbstractExceptionListener
implements MessagingExceptionHandler

`DefaultExceptionStrategy` provides a default exception handling strategy.

Field Summary

Fields inherited from class org.mule.exception.AbstractExceptionListener
`commitTxFilter, enableNotifications, initialised, logger, messageProcessors, rollbackTxFilter`

Fields inherited from class org.mule.processor.AbstractMessageProcessorOwner
`flowConstruct, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractMessagingExceptionStrategy()`

Method Summary
`protected void` | `defaultHandler(Throwable t)`
`MuleEvent` | `handleException(Exception e, MuleEvent event)` Take some action when a messaging exception has occurred (i.e., there was a message in play when the exception occurred).
`void` | `handleLifecycleException(Object component, Throwable t)`
`void` | `handleMessagingException(MuleMessage message, Throwable t)`
`void` | `handleRoutingException(MuleMessage message, MessageProcessor target, Throwable t)`
`void` | `handleStandardException(Throwable t)`
`protected MuleMessage` | `messageFromContextIfAvailable(MuleMessage message)`

Methods inherited from class org.mule.exception.AbstractExceptionListener
`addEndpoint, closeStream, createOutboundRouter, doInitialise, fireNotification, getCommitTxFilter, getExceptionType, getMessageProcessors, getMessageProcessors, getOwnedMessageProcessors, getRollbackTxFilter, handleTransaction, initialise, isEnableNotifications, isInitialised, logException, logFatal, removeMessageProcessor, rollbackTransaction, routeException, setCommitTxFilter, setEnableNotifications, setMessageProcessors, setRollbackTxFilter`

Methods inherited from class org.mule.processor.AbstractMessageProcessorOwner
`dispose, setFlowConstruct, setMuleContext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMessagingExceptionStrategy

    public AbstractMessagingExceptionStrategy()

Method Detail

### handleException

    public MuleEvent handleException(Exception e,
                                     MuleEvent event)

  Take some action when a messaging exception has occurred (i.e., there was a message in play when the exception occurred).

  Specified by:
    `handleException` in interface `MessagingExceptionHandler`
  Parameters:
    `e` - which occurred
    `event` - which was being processed when the exception occurred
  Returns:
    new event to route on to the rest of the flow, generally with ExceptionPayload set on the message

### handleMessagingException

    public void handleMessagingException(MuleMessage message,
                                         Throwable t)

### handleRoutingException

    public void handleRoutingException(MuleMessage message,
                                       MessageProcessor target,
                                       Throwable t)

### handleLifecycleException

    public void handleLifecycleException(Object component,
                                         Throwable t)

### handleStandardException

    public void handleStandardException(Throwable t)

### defaultHandler

    protected void defaultHandler(Throwable t)

### messageFromContextIfAvailable

    protected MuleMessage messageFromContextIfAvailable(MuleMessage message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.